OSSP CVS Repository

ossp - Check-in [168]
Not logged in
[Honeypot]  [Browse]  [Home]  [Login]  [Reports
[Search]  [Ticket]  [Timeline
  [Patchset]  [Tagging/Branching

Check-in Number: 168
Date: 2000-Oct-04 14:02:06 (local)
2000-Oct-04 12:02:06 (UTC)
User:rse
Branch:
Comment: *** empty log message ***
Tickets:
Inspections:
Files:
ossp-pkg/shtool/ChangeLog      1.133 -> 1.134     6 inserted, 0 deleted
ossp-pkg/shtool/README      1.69 -> 1.70     1 inserted, 1 deleted
ossp-pkg/shtool/VERSION      1.54 -> 1.55     1 inserted, 1 deleted
ossp-pkg/shtool/sh.tarball      added-> 1.11
ossp-pkg/shtool/shtool.spec      1.5 -> 1.6     1 inserted, 1 deleted

ossp-pkg/shtool/ChangeLog 1.133 -> 1.134

--- ChangeLog    2000/07/29 14:28:36     1.133
+++ ChangeLog    2000/10/05 12:02:06     1.134
@@ -9,6 +9,12 @@
 
  ChangeLog
  
+ Changes between 1.5.1 and 1.5.2 (06-Jul-2000 to xx-Sep-2000):
+
+   *) Actually use the determined `find' command instead of the 
+      hard-coded one in `shtool tarball'.
+      [Denis Barbier <barbier@imacs.polytechnique.fr>]
+
  Changes between 1.5.0 and 1.5.1 (01-Jul-2000 to 06-Jul-2000):
 
    *) Fixed hex value generation `shtool version': the `%X' printf


ossp-pkg/shtool/README 1.69 -> 1.70

--- README       2000/07/29 14:29:16     1.69
+++ README       2000/10/05 12:02:06     1.70
@@ -10,7 +10,7 @@
   http://www.gnu.org/software/shtool/
   ftp://ftp.gnu.org/gnu/shtool/
 
-  Version 1.5.1 (29-Jul-2000)
+  Version 1.5.2 (05-Oct-2000)
 
   The GNU shtool program is a compilation of small but very stable and
   portable shell scripts into a single shell tool. All ingredients


ossp-pkg/shtool/VERSION 1.54 -> 1.55

--- VERSION      2000/07/29 14:29:16     1.54
+++ VERSION      2000/10/05 12:02:06     1.55
@@ -2,5 +2,5 @@
   VERSION -- Version Information for GNU shtool (syntax: Text)
   [automatically generated and maintained by GNU shtool]
 
-  This is GNU shtool, Version 1.5.1 (29-Jul-2000)
+  This is GNU shtool, Version 1.5.2 (05-Oct-2000)
 


ossp-pkg/shtool/sh.tarball -> 1.11

*** /dev/null    Mon Apr 29 04:15:37 2024
--- -    Mon Apr 29 04:21:11 2024
***************
*** 0 ****
--- 1,192 ----
+ ##
+ ##  tarball -- Roll distribution tarballs
+ ##  Copyright (c) 1999-2000 Ralf S. Engelschall <rse@engelschall.com>
+ ##  Originally written for shtool
+ ##
+ ##  This file is part of shtool and free software; you can redistribute
+ ##  it and/or modify it under the terms of the GNU General Public
+ ##  License as published by the Free Software Foundation; either version
+ ##  2 of the License, or (at your option) any later version.
+ ##
+ ##  This file is distributed in the hope that it will be useful,
+ ##  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ ##  General Public License for more details.
+ ##
+ ##  You should have received a copy of the GNU General Public License
+ ##  along with this program; if not, write to the Free Software
+ ##  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
+ ##  USA, or contact Ralf S. Engelschall <rse@engelschall.com>.
+ ##
+ 
+ str_tool="tarball"
+ str_usage="[-t] [-v] [-o <tarball>] [-c <prog>] [-d <dir>] [-u <user>] [-g <group>] [-e <pattern>] <path> [<path> ...]"
+ gen_tmpfile=yes
+ arg_spec="1+"
+ opt_spec="t.v.o:c:d:u:g:e:"
+ opt_t=no
+ opt_v=no
+ opt_o=""
+ opt_c=""
+ opt_d=""
+ opt_u=""
+ opt_g=""
+ opt_e="CVS,\\.cvsignore,\\.[oa]\$"
+ 
+ . ./sh.common
+ 
+ srcs="$*"
+ 
+ #   check whether the test command supports the -x option
+ if [ -x /bin/sh ] 2>/dev/null; then
+     minusx="-x"
+ else
+     minusx="-r"
+ fi
+ 
+ #   find the tools
+ paths="`echo $PATH |\
+         sed -e 's%/*:%:%g' -e 's%/*$%%' \
+             -e 's/^:/.:/' -e 's/::/:.:/g' -e 's/:$/:./' \
+             -e 's/:/ /g'`"
+ for spec in find:gfind,find tar:gtar,tar tardy:tardy,tarcust; do
+     prg=`echo $spec | sed -e 's/:.*$//'`
+     tools=`echo $spec | sed -e 's/^.*://'`
+     eval "prg_${prg}=''"
+     #   iterate over tools
+     for tool in `echo $tools | sed -e 's/,/ /g'`; do
+         #   iterate over paths
+         for path in $paths; do
+             if [ $minusx "$path/$tool" ] && [ ! -d "$path/$tool" ]; then
+                 eval "prg_${prg}=\"$path/$tool\""
+                 break
+             fi
+         done
+         eval "val=\$prg_${prg}"
+         if [ ".$val" != . ]; then
+             break
+         fi
+     done
+ done
+ 
+ #   expand source paths
+ exclude=''
+ for pat in `echo $opt_e | sed 's/,/ /g'`; do
+     exclude="$exclude | grep -v '$pat'"
+ done
+ if [ ".$opt_t" = .yes ]; then
+     echo "cp /dev/null $tmpfile.lst" 1>&2
+ fi
+ cp /dev/null $tmpfile.lst
+ for src in $srcs; do
+     if [ -d $src ]; then
+         if [ ".$opt_t" = .yes ]; then
+             echo "(cd $src && $prg_find . -type f -depth -print) | sed -e 's:^\\.\$::' -e 's:^\\./::' | cat $exclude >>$tmpfile.lst" 1>&2
+         fi
+         (cd $src && $prg_find . -type f -depth -print) |\
+         sed -e 's:^\.$::' -e 's:^\./::' | eval cat $exclude >>$tmpfile.lst
+     else
+         if [ ".$opt_t" = .yes ]; then
+             echo "echo $src >>$tmpfile.lst" 1>&2
+         fi
+         echo $src >>$tmpfile.lst
+     fi
+ done
+ sort <$tmpfile.lst >$tmpfile.lst.n
+ mv $tmpfile.lst.n $tmpfile.lst
+ if [ ".$opt_v" = .yes ]; then
+     cat $tmpfile.lst | sed -e 's/^/  /' 1>&2
+ fi
+ 
+ #   determine tarball file and directory name
+ if [ ".$opt_o" != . ]; then
+     tarfile="$opt_o"
+     if [ ".$opt_d" != . ]; then
+         tarname="$opt_d"
+     else
+         tarname=`echo $tarfile | sed -e 's/\.tar.*$//' -e 's;.*/\([^/]*\)$;\1;'`
+     fi
+ else
+     if [ ".$opt_d" != . ]; then
+         tarname="$opt_d"
+     elif [ -d "$from" ]; then
+         tarname=`echo $from | sed -e 's;.*/\([^/]*\)$;\1;'`
+     else
+         tarname="out"
+     fi
+     tarfile="$tarname.tar"
+ fi
+ 
+ #   roll the tarball
+ compress=''
+ if [ ".$opt_c" != . ]; then
+     compress="| $opt_c"
+ fi
+ if [ ".$prg_tardy" != . ]; then
+     #   the elegant hackers way
+     tardy_opt="--prefix=$tarname"
+     tardy_opt="$tardy_opt --user_number=0 --group_number=0" # security!
+     if [ ".$opt_u" != . ]; then
+         tardy_opt="$tardy_opt --user_name=$opt_u"
+     fi
+     if [ ".$opt_g" != . ]; then
+         tardy_opt="$tardy_opt --group_name=$opt_g"
+     fi
+     if [ ".$opt_t" = .yes ]; then
+         echo "cat $tmpfile.lst | xargs $prg_tar cf - | $prg_tardy $tardy_opt | cat $compress >$tmpfile.out" 1>&2
+     fi
+     cat $tmpfile.lst |\
+     xargs $prg_tar cf - |\
+     $prg_tardy $tardy_opt |\
+     eval cat $compress >$tmpfile.out
+     if [ ".$opt_t" = .yes ]; then
+         echo "cp $tmpfile.out $tarfile" 1>&2
+     fi
+     cp $tmpfile.out $tarfile
+ else
+     #  the portable standard way
+     if [ ".$opt_t" = .yes ]; then
+         echo "mkdir $tmpdir/$tarname" 1>&2
+     fi
+     mkdir $tmpdir/$tarname || exit 1
+     if [ ".$opt_t" = .yes ]; then
+         echo "cat $tmpfile.lst | xargs $prg_tar cf - | (cd $tmpdir/$tarname && $prg_tar xf -)" 1>&2
+     fi
+     cat $tmpfile.lst |\
+     xargs $prg_tar cf - |\
+     (cd $tmpdir/$tarname && $prg_tar xf -)
+     if [ ".$opt_u" != . ]; then
+         if [ ".$opt_t" = .yes ]; then
+             echo "chown -R $opt_u $tmpdir/$tarname >/dev/null 2>&1" 2>&1
+         fi
+         chown -R $opt_u $tmpdir/$tarname >/dev/null 2>&1 ||\
+         echo "$msgprefix:Warning: cannot set user name \`$opt_u' (would require root priviledges)"
+     fi
+     if [ ".$opt_g" != . ]; then
+         if [ ".$opt_t" = .yes ]; then
+             echo "chgrp -R $opt_g $tmpdir/$tarname >/dev/null 2>&1" 2>&1
+         fi
+         chgrp -R $opt_g $tmpdir/$tarname >/dev/null 2>&1 ||\
+         echo "$msgprefix:Warning: cannot set group name \`$opt_g' (would require root priviledges)"
+     fi
+     if [ ".$opt_t" = .yes ]; then
+         echo "(cd $tmpdir && $prg_find $tarname -type f -depth -print | sort | xargs $prg_tar cf -) | cat $compress >$tmpfile.out" 1>&2
+     fi
+     (cd $tmpdir && $prg_find $tarname -type f -depth -print | sort | xargs $prg_tar cf -) |\
+     eval cat $compress >$tmpfile.out
+     if [ ".$opt_t" = .yes ]; then
+         echo "cp $tmpfile.out $tarfile" 1>&2
+     fi
+     cp $tmpfile.out $tarfile
+     if [ ".$opt_t" = .yes ]; then
+         echo "rm -rf $tmpdir/$tarname" 1>&2
+     fi
+     rm -rf $tmpdir/$tarname
+ fi
+ 
+ #   cleanup
+ if [ ".$opt_t" = .yes ]; then
+     echo "rm -f $tmpfile.lst $tmpfile.out" 1>&2
+ fi
+ rm -f $tmpfile.lst $tmpfile.out
+ 


ossp-pkg/shtool/shtool.spec 1.5 -> 1.6

--- shtool.spec  2000/07/06 13:33:23     1.5
+++ shtool.spec  2000/10/05 12:02:06     1.6
@@ -25,7 +25,7 @@
 #   Shtool distribution tarball.
 
 %define prefix /usr
-%define ver 1.5.1
+%define ver 1.5.2
 %define rel 1
 
 Name:       shtool

CVSTrac 2.0.1